#include "game.h"
#include "../raylib.h"
#include "log.h"
#include "input.h"

#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>

#define TARGET_FPS 60

int main(void) {
    InitWindow(800, 450, "Text Adventure");
    SetTargetFPS(TARGET_FPS);

    Game *g = game_create();
    game_load_rooms(g);

    game_run_until_close(g);
    CloseWindow();

    free_game(g);
    return 0;
}
